package com.community.huiju.service;

import com.community.commom.mode.ResponseBean;
import com.community.commom.session.UserElement;
import com.community.huiju.model.*;

/**
 * 海康 业务
 * @author weiximei
 */
public interface IHKService {
    /**
     * 推送海康人员
     * @param appUserId
     * @return
     */
    ResponseBean pushPerson(String appUserId, Integer userVerifyId);

    /**
     * 添加门禁权限 和 下发门禁权限
     * @return
     */
    ResponseBean addAuthoritiesAnddownloadAuthorityByPersonIds(TaUserVerify userVerify, TaUserHk taUserHk, TpEquipmentTree tpEquipmentTree);


    /**
     * 下发门禁权限(异动方式)
     * @return
     */
    ResponseBean downloadAuthorityByDeviceUuids();

    /**
     * 下发 可视对讲 权限
     * @return
     */
    ResponseBean visualIntercomPermissions(TpUnitHkSetting unitHkSetting, TpEquipmentTree tpEquipmentTree, TaUserHk taUserHk, TaUserVerify userVerify, TaUser user);


}
