package com.community.huiju.dao;

import com.community.huiju.model.TaUserHk;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;

import java.util.List;

@Mapper
public interface TaUserHkMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TaUserHk record);

    int insertSelective(TaUserHk record);

    TaUserHk selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TaUserHk record);

    int updateByPrimaryKey(TaUserHk record);

    @ResultMap("BaseResultMap")
    @Select("select * from ta_user_hk where ta_user_id = #{userVerifyId} and community_id = #{communityId}")
    TaUserHk selectByUserVerifyIdAndCommunityId(@Param("userVerifyId") Integer userVerifyId, @Param("communityId") Integer communityId);

    @ResultMap("BaseResultMap")
    @Select("select * from ta_user_hk where community_id = #{communityId}")
    List<TaUserHk> selectByCommunityId(@Param("communityId") Integer communityId);

}